<template>
  <div>
    <section
      class="main h-scren relative md:flex md:items-center md:justify-around"
    >
      <div class="container-main-text flex flex-col items-center">
        <p
          class="text-4xl md:text-3xl xl:text-6xl text-justify leading-snug mt-16 md:mt-24"
          :style="{ color: colorBlue }"
        >
          <span class="font-bold-blue">Own</span>
          <span class="font-bold-orange"> My Trip</span>, vous<br />
          <span class="font-bold-blue">accompagne</span> dans vos <br />
          road trip les plus fous !
        </p>
        <div class="mt-14 md:mt-6 xl:mt-16 mb-2 mr-5">
          <ButtonNav
            text="En route"
            route="roadtrip"
            icon="car-side"
            :hover-color="colorBlue"
            :bg-color-front="colorOrange"
            :border-color="colorBlue"
            :is-animate-click="false"
          />
        </div>
      </div>
      <div class="container-main-image w-full md:w-2/4">
        <img
          width="100%"
          src="@/assets/road-trip.png"
          alt="road trip"
        />
      </div>
    </section>
  </div>
</template>

<script>
import ButtonNav from "@/components/modules/ButtonNav.vue";
export default {
  name: "HomeView",
  components: {
    ButtonNav
  },
  data() {
    return {
      colorBlue: "#2B4FA2",
      colorOrange: "#FCB040"
    };
  }
};
</script>

<style scoped>
body {
  margin: 0;
  background-color: white !important;
}

.container-main-image {
  margin-top: 4em;
  /* width: 100%; */
}

.font-bold-blue {
  color: #2b4fa2;
  font-weight: bold;
}

.font-bold-orange {
  color: #fcb040;
  font-weight: bold;
}
</style>
